from ase_koopmans.build import bulk
from ase_koopmans.io.bytes import to_bytes, parse_images, parse_atoms
from ase_koopmans.calculators.calculator import compare_atoms

atoms = bulk('Ti')
images = [bulk('Au'), bulk('Ti'), bulk('NaCl', 'rocksalt', 17)]

def test_format():
    fmt = 'traj'  # TODO: parametrize?
    buf = to_bytes(atoms, format=fmt)
    atoms1 = parse_atoms(buf)

    err = compare_atoms(atoms, atoms1)
    assert not err, err  # Should be empty list

    buf = to_bytes(images, format=fmt)
    images1 = parse_images(buf)
    assert len(images) == len(images1)
    for img, img1 in zip(images, images1):
        err = compare_atoms(img, img1)
        assert not err, err
